import type { SerializableTo } from "@compositive/commons-serialization";
import type { ColorLikeValue } from "./Color";
import { Color } from "./Color";
import { ColorScale } from "./ColorScale";
import { Shade } from "./Shade";
declare type Easing = (x: number) => number;
declare type Options = {
    lightnessMin?: number;
    lightnessMax?: number;
    easing?: Easing;
};
declare type SerializationFormat = {
    baseColor: Color;
    lightnessMin: number;
    lightnessMax: number;
    steps: number;
};
export declare class UniformLightnessColorScale extends ColorScale implements SerializableTo<SerializationFormat> {
    static fromJson(json: SerializationFormat): Promise<UniformLightnessColorScale>;
    readonly baseColor: Color;
    readonly lightnessMin: number;
    readonly lightnessMax: number;
    readonly easing: Easing;
    readonly steps: number;
    constructor(base: ColorLikeValue, steps?: number, options?: Options);
    get length(): number;
    get shades(): Shade[];
    reversed(): UniformLightnessColorScale;
    toJson(): Promise<SerializationFormat>;
}
export {};
//# sourceMappingURL=UniformLightnessColorScale.d.ts.map