import type { Color } from "../Color";
export declare enum ContrastLevel {
    /** Less than WCAG 3:1 contrast ratio */
    INSUFFICIENT = 0,
    /** Equivalent to WCAG A (3..4.5:1) level */
    MINIMUM = 1,
    /** Equivalent to WCAG AA (4.5..7:1) level */
    GOOD = 2,
    /** Equivalent to WCAG AAA (\>= 7:1) level */
    HIGH = 3
}
declare type Contrast = {
    readonly value: number;
    readonly level: ContrastLevel;
    toString(): string;
};
export declare type ContrastChecker = {
    (background: Color, foreground: Color): Contrast;
};
export {};
//# sourceMappingURL=types.d.ts.map