import { Color } from './Color.js';

const rgb = (r, g, b) => new Color({ r, g, b });
const rgba = (r, g, b, a) => new Color({ r, g, b, a });
const hsl = (h, s, l) => new Color({ h, s, l });
const hsla = (h, s, l, a) => new Color({ h, s, l, a });
const hex = (color) => {
    let hexValue = color;
    if (hexValue.charAt(0) === "#")
        hexValue = hexValue.slice(1);
    if (hexValue.length === 3)
        return new Color({
            r: parseInt(hexValue.charAt(0), 16) * 0x11,
            g: parseInt(hexValue.charAt(1), 16) * 0x11,
            b: parseInt(hexValue.charAt(2), 16) * 0x11,
        });
    if (hexValue.length === 6)
        return new Color({
            r: parseInt(hexValue.slice(0, 2), 16),
            g: parseInt(hexValue.slice(2, 4), 16),
            b: parseInt(hexValue.slice(4, 6), 16),
        });
    throw new TypeError(`Unknown color format: ${color}`);
};

export { hex, hsl, hsla, rgb, rgba };
//# sourceMappingURL=shortcuts.js.map
