import type { ImageProps, InputProps, TextProps, UploadProps, ViewProps } from "@compositive/primitives";
import type { RefAttributes } from "react";
import type { ThemedSxPropItem } from "../styling";
import type { UnknownTheme } from "../theming";
export interface View {
    <T extends UnknownTheme>(props: ViewProps<ThemedSxPropItem<T>> & RefAttributes<HTMLElement>): JSX.Element;
}
export declare namespace View {
    type Props<T extends UnknownTheme> = ViewProps<ThemedSxPropItem<T>>;
}
export declare const View: View;
export interface Text {
    <T extends UnknownTheme>(props: TextProps<ThemedSxPropItem<T>> & RefAttributes<HTMLElement>): JSX.Element;
}
export declare namespace Text {
    type Props<T extends UnknownTheme> = TextProps<ThemedSxPropItem<T>>;
}
export declare const Text: Text;
export interface Image {
    <T extends UnknownTheme>(props: ImageProps<ThemedSxPropItem<T>> & RefAttributes<HTMLImageElement>): JSX.Element;
}
export declare namespace Image {
    type Props<T extends UnknownTheme> = ImageProps<ThemedSxPropItem<T>>;
}
export declare const Image: Image;
export interface Input {
    <T extends UnknownTheme>(props: InputProps<ThemedSxPropItem<T>>): JSX.Element;
}
export declare namespace Input {
    type Props<T extends UnknownTheme> = InputProps<ThemedSxPropItem<T>>;
}
export declare const Input: Input;
export interface Upload {
    <T extends UnknownTheme>(props: UploadProps<ThemedSxPropItem<T>> & RefAttributes<HTMLInputElement>): JSX.Element;
}
export declare namespace Upload {
    type Props<T extends UnknownTheme> = UploadProps<ThemedSxPropItem<T>>;
}
export declare const Upload: Upload;
export type { Angle, AsProp, Length } from "@compositive/primitives";
//# sourceMappingURL=index.d.ts.map