import { Style } from '@compositive/primitives';
import { resolveThemedStyleProperties } from './resolveThemedStyleProperties.js';
import { isConvertibleToStyle } from './ThemedSxProp.js';

const createThemeSxProcessor = (theme) => (style) => {
    if (isConvertibleToStyle(style))
        return style.toStaticStyle(theme);
    if (style instanceof Style)
        return style;
    return resolveThemedStyleProperties(style, theme);
};

export { createThemeSxProcessor };
//# sourceMappingURL=createThemeSxProcessor.js.map
