import { memoize } from '@compositive/commons-memoize';
import { mapObject } from '@compositive/commons-util';

const resolveThemedStyleProperties = memoize((themedStyleProperties, theme) => {
    const styleProps = typeof themedStyleProperties === "function"
        ? Reflect.apply(themedStyleProperties, null, [
            theme,
        ])
        : themedStyleProperties;
    return mapObject(styleProps, (value) => (typeof value === "function"
        ? Reflect.apply(value, null, [theme])
        : value));
}, [WeakMap, WeakMap]);

export { resolveThemedStyleProperties };
//# sourceMappingURL=resolveThemedStyleProperties.js.map
