import { __decorate } from 'tslib';
import { Memoized } from '@compositive/commons-memoize';
import { isInstanceOf } from '@compositive/commons-predicates';
import { Spec } from '@compositive/commons-spec';
import '../../color/Color.js';
import '../../color/ColorContext.js';
import '../../color/colors.js';
import '@compositive/commons-sequences';
import { Shade } from '../../color/Shade.js';
import '../../color/contrast/getCIECAM02Contrast.js';
import 'chroma-js';
import '../../color/contrast/types.js';
import '../../color/UniformLightnessColorScale.js';
import '../../theming/ComputedTheme.js';
import '../../theming/Theme.js';
import 'react/jsx-runtime';
import '../../theming/ThemeContext.js';
import { Style } from '@compositive/primitives';
import 'react';
import '../../styling/resolveThemedStyleProperties.js';
import '../../styling/ThemedStyle.js';

class SolidFill extends Spec({ shade: isInstanceOf(Shade) }) {
    constructor() {
        super(...arguments);
        this.type = "background";
    }
    process(parts, chain) {
        return [parts.addInnerStyles(this._getStyle()), chain];
    }
    _getStyle() {
        return new Style({ backgroundColor: this.shade });
    }
}
__decorate([
    Memoized()
], SolidFill.prototype, "_getStyle", null);

export { SolidFill };
//# sourceMappingURL=SolidFill.js.map
