import { __decorate } from 'tslib';
import { Memoized } from '@compositive/commons-memoize';
import { isOptional, isNumber } from '@compositive/commons-predicates';
import { Spec } from '@compositive/commons-spec';
import { Style } from '@compositive/primitives';
import '../../styling/resolveThemedStyleProperties.js';
import '../../styling/ThemedStyle.js';
import 'react';

class Rectangle extends Spec({ padding: isOptional(isNumber) }) {
    constructor(attribs = {}, previousSpec) {
        super(attribs, previousSpec);
        this.type = "shape";
    }
    process(parts, chain) {
        return [parts.addInnerStyles(this._getStyle()), chain];
    }
    _getStyle() {
        var _a;
        return new Style({ padding: `${(_a = this.padding) !== null && _a !== void 0 ? _a : 0}px` });
    }
}
__decorate([
    Memoized()
], Rectangle.prototype, "_getStyle", null);

export { Rectangle };
//# sourceMappingURL=Rectangle.js.map
