import { __classPrivateFieldSet, __classPrivateFieldGet } from 'tslib';

var _FontWeight_index;
class FontWeight {
    constructor(name, value) {
        _FontWeight_index.set(this, void 0);
        this.name = name;
        this.value = value;
    }
    static async fromJson(value) {
        return this.for(value);
    }
    static for(weight) {
        if (weight > 0 && weight < 10)
            return ORDERED_WEIGHTS[Math.round(weight) - 1];
        if (weight >= 100 && weight <= 900)
            return ORDERED_WEIGHTS[Math.round(weight / 100) - 1];
        return FontWeight.Regular;
    }
    get index() {
        var _a;
        __classPrivateFieldSet(this, _FontWeight_index, (_a = __classPrivateFieldGet(this, _FontWeight_index, "f")) !== null && _a !== void 0 ? _a : ORDERED_WEIGHTS.indexOf(this), "f");
        return __classPrivateFieldGet(this, _FontWeight_index, "f");
    }
    get bolder() {
        return this.index === ORDERED_WEIGHTS.length - 1
            ? void 0
            : ORDERED_WEIGHTS[this.index + 1];
    }
    get lighter() {
        return this.index === 0 ? void 0 : ORDERED_WEIGHTS[this.index + 1];
    }
    get fallbacks() {
        return ORDERED_WEIGHTS.slice(this.index);
    }
    isLighterThan(other) {
        return this.value < other.value;
    }
    isBolderThan(other) {
        return this.value > other.value;
    }
    toString() {
        return this.name;
    }
    async toJson() {
        return this.value;
    }
}
_FontWeight_index = new WeakMap();
FontWeight.Thin = new FontWeight("Thin", 100);
FontWeight.ExtraLight = new FontWeight("ExtraLight", 200);
FontWeight.Light = new FontWeight("Light", 300);
FontWeight.Regular = new FontWeight("Regular", 400);
FontWeight.Medium = new FontWeight("Medium", 500);
FontWeight.SemiBold = new FontWeight("SemiBold", 600);
FontWeight.Bold = new FontWeight("Bold", 700);
FontWeight.ExtraBold = new FontWeight("ExtraBold", 800);
FontWeight.Black = new FontWeight("Black", 900);
const ORDERED_WEIGHTS = [
    FontWeight.Thin,
    FontWeight.ExtraLight,
    FontWeight.Light,
    FontWeight.Regular,
    FontWeight.Medium,
    FontWeight.SemiBold,
    FontWeight.Bold,
    FontWeight.ExtraBold,
    FontWeight.Black,
];

export { FontWeight };
//# sourceMappingURL=FontWeight.js.map
