import { asArray } from '@compositive/commons-util';
import '../theming/ComputedTheme.js';
import '../theming/Theme.js';
import 'react/jsx-runtime';
import '@compositive/commons-predicates';
import '../theming/ThemeContext.js';
import '@compositive/primitives';
import 'react';
import '../styling/resolveThemedStyleProperties.js';
import '../styling/ThemedStyle.js';
import { useTheme } from '../theming/useTheme.js';

function useTypography(specNames) {
    const { typography } = useTheme();
    const validSpecName = asArray(specNames).find((name) => typography[name] != null);
    return validSpecName ? typography[validSpecName] : undefined;
}

export { useTypography };
//# sourceMappingURL=useTypography.js.map
